package com.oqpo.api.client.oqlink.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class StoreMenuInventModel {

	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "매장번호", required = true)
	private String storeNo;
	@ApiModelProperty(value = "메뉴코드", required = true)
	private String menuCd;
	@ApiModelProperty(value = "메뉴명", required = true)
	private String menuNm;
	@ApiModelProperty(value = "판매일자", required = true)
	private String saleDate;
	@ApiModelProperty(value = "기초재고수량", required = true)
	private String baseInventCnt;
	@ApiModelProperty(value = "입고수량", required = true)
	private String inboundCnt;
	@ApiModelProperty(value = "조정수량", required = true)
	private String adjustCnt;
	@ApiModelProperty(value = "판매수량", required = true)
	private String saleCnt;
	@ApiModelProperty(value = "반납수량", required = true)
	private String returnCnt;
	@ApiModelProperty(value = "폐기수량", required = true)
	private String disuseCnt;

	@ApiModelProperty(value = "재고수량", required = true)
	private String inventCnt;
	@ApiModelProperty(value = "재고변경일시", required = false)
	private String inventChgDtm;
	@ApiModelProperty(value = "비고", required = false)
	private String note;

	@ApiModelProperty(value = "알림최소수량(안전재고)", required = false)
	private String notifyMinCnt;

	@ApiModelProperty(value = "공급가격", required = false)
	private String supplyPrice;
	@ApiModelProperty(value = "이벤트가격", required = false)
	private String eventPrice;

	@ApiModelProperty(value = "발주단위수량", required = false)
	private String orderUnitQty;
	@ApiModelProperty(value = "판매여부", required = false)
	private String useYn;
	@ApiModelProperty(value = "발주가능여부", required = true)
	private String orderPossibleYn;

	private String schStoreNo;
	private String schClassCd;
	private String barcodeNo;
	private String schSDate;
	private String schEDate;
	private String schSortType;
	private String schUseYn;
	
	private String excelFullPath; // 엑셀전체경로
	private String normalYn = "Y"; // 정상여부
	private String errorMsg; // 오류 메시지
	private String storeMenuOrderYn; // 매장수발주관리여부

	private String schDate; // 조회일자
	private String schYear; // 조회년
	private String schMonth; // 조회월
	private String schType; // 조회구분(D:일,M:월)
	private String yyyyMm; // 분할테이블

	private String regId;
	private String editId;
}
