package com.oqpo.api.enums;

import com.oqpo.api.exception.GlobalException;
import lombok.Getter;
import lombok.Setter;

public enum StoreDeliType {
    
    SDT01("10", "본사배송"), //
    SDT02("20", "공급사배송"), //
    ;

    StoreDeliType(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;

    public static String getCd(String nname) {
        StoreDeliType[] values = StoreDeliType.values();
        for (StoreDeliType icd : values) {
            if (icd.name.equals(nname)) {
                return icd.cd;
            }
        }
        return nname;
    }

    public static String getName(String ccd) {
        StoreDeliType[] values = StoreDeliType.values();
        for (StoreDeliType icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
