package com.oqpo.api.web.dto.response.stinfo.brand;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.oper.FileEntity;
import com.oqpo.api.entity.stinfo.BrandEntity;
import com.oqpo.api.entity.stinfo.StepEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;
import java.util.stream.Collectors;


@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ChkBrandShmtColTypeResponse {

    @ApiModelProperty(value = "브랜명아이디")
    private String brandId ;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm ;

    @ApiModelProperty(value = "출하수거구분")
    private String shmtColProcType;

    @ApiModelProperty(value = "출하수거구분")
    private String shmtColProcTypeNm;

    @ApiModelProperty(value = "발주요청건수")
    private Integer pchCnt ;

    @ApiModelProperty(value = "발주진행건수")
    private Integer podrCnt ;

    @ApiModelProperty(value = "배송진행건수")
    private Integer dlvCnt ;

    @ApiModelProperty(value = "반품요청건수")
    private Integer rpchCnt ;

    @ApiModelProperty(value = "반품발주진행건수")
    private Integer rodrCnt ;

    @ApiModelProperty(value = "수거진행건수")
    private Integer pickCnt ;

    @ApiModelProperty(value = "변경가능여부")
    private String chgPassYn ;

    public static ChkBrandShmtColTypeResponse toDTO(StepEntity entity) {
        if (entity == null) return null;
        return ChkBrandShmtColTypeResponse.builder()
                .brandId(entity.getBrandId())
                .brandNm(entity.getBrandNm())
                .shmtColProcType(entity.getShmtColProcType())
                .shmtColProcTypeNm(entity.getShmtColProcTypeNm())
                .pchCnt(entity.getPchCnt())
                .podrCnt(entity.getPodrCnt())
                .dlvCnt(entity.getDlvCnt())
                .rpchCnt(entity.getRpchCnt())
                .rodrCnt(entity.getRodrCnt())
                .pickCnt(entity.getPickCnt())
                .chgPassYn(entity.getChgPassYn() == null ? "N" : entity.getChgPassYn())
                .build();
    }

}
